Summary: maildrop mail filter/mail delivery agent
Name: maildrop
Version: 0.60
Release: 1
Copyright: GPL
Group: Applications/Mail
Source: maildrop-0.60.tar.gz
Packager: Sam Varshavchik <mrsam@geocities.com>
BuildRoot: /tmp/maildrop-build
%description

Maildrop is a combination mail filter/mail delivery agent.
Maildrop reads the message to be delivered to your mailbox,
optionally reads instructions from a file how filter incoming
mail, then based on these instructions may deliver mail to an
alternate mailbox, or forward it, instead of dropping the
message into your mailbox.

Maildrop uses a structured, real, meta-programming language in
order to define filtering instructions.  Its basic features are
fast and efficient.  At sites which carry a light load, the
more advanced, CPU-demanding, features can be used to build
very sophisticated mail filters.  Maildrop deployments have
been reported at sites that support as many as 30,000
mailboxes.

Sample mail filtering recipes as well as complete documentation
is provided in both HTML and man page format.

Maildrop mailing list -- http://maildropl.listbot.com

%prep
%setup
./configure --enable-syslog=1 --enable-trusted-users='root mail daemon postmaster qmaild mmdf' --enable-restrict-trusted=0 --enable-sendmail=/usr/sbin/sendmail
#
# Someone needs to fix a few automake bugs.
#
make config.h
make autoconf.h

%build
make

%install
mkdir -p $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT MAILDROPUID='' MAILDROPGID=''

%post
if test ! -x /usr/local/bin/maildirmake ; then ln -fs maildrop.maildirmake /usr/local/bin/maildirmake ; fi
%postun
if test ! -x /usr/local/bin/maildirmake ; then rm -f /usr/local/bin/maildirmake ; fi
%files
%attr(6555, root, mail) /usr/local/bin/maildrop
%attr(555, bin, bin) /usr/local/bin/reformail
%attr(6555, root, mail) /usr/local/bin/dotlock
%attr(6555, root, mail) /usr/local/bin/maildrop.maildirmake
%attr(444, bin, bin) /usr/local/man/man1/dotlock.1.gz
%attr(444, bin, bin) /usr/local/man/man1/maildrop.1.gz
%attr(444, bin, bin) /usr/local/man/man1/reformail.1.gz
%attr(444, bin, bin) /usr/local/man/man5/maildropfilter.5.gz
%attr(444, bin, bin) /usr/local/man/man5/maildropex.5.gz
%attr(-, bin, bin) %doc README.html
%attr(-, bin, bin) %doc README
%attr(-, bin, bin) %doc INSTALL.txt
%attr(-, bin, bin) %doc INSTALL.html
%attr(-, bin, bin) %doc maildroptips.html
%attr(-, bin, bin) %doc maildroptips.txt
%attr(-, bin, bin) %doc dotlock.html
%attr(-, bin, bin) %doc maildrop.html
%attr(-, bin, bin) %doc maildropex.html
%attr(-, bin, bin) %doc maildropfilter.html
%attr(-, bin, bin) %doc reformail.html
%attr(-, bin, bin) %doc COPYING
%attr(-, bin, bin) %doc maildrop.lsm
